import { ICustomTextFileService, ICacheTextFileService } from './textfiles';
import { IFileService } from './file-service';
import { DataProxy } from 'apollo-cache';
import { ApolloClient } from 'apollo-client';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
/**
 *
 * Context
 * @export
 * @interface MyContext
 */
export interface MyContext extends ClientContext, ServerContext {
}
export interface ClientContext {
    /**
     * Only application on the client side
     */
    cache: DataProxy;
    /**
     * Only application on the client side
     */
    getCacheKey: (options: {
        __typename: string;
        resource?: URI;
        id?: string;
        editorId?: string;
    }) => string;
    /**
     * Only applicable on the client side
     */
    apolloClient: ApolloClient<any>;
    client: ApolloClient<any>;
}
export interface IDataSources {
    textFileCache: ICacheTextFileService;
}
export interface ServerContext {
    /**
     * Backend FileService
     */
    textFileService: ICustomTextFileService;
    /**
     * Backed FileService
     */
    fileService: IFileService;
    /** Backend Datasource */
    dataSources: IDataSources;
}
